Page MenuHomePhabricator

Handle metadata / user account claiming on imported tickets
Closed, ResolvedPublic

Description

This was only slightly touched in T259#11 and discussed in today's meeting, hence creating a dedicated ticket.
Tentatively setting Mukunda as assignee (IIRC).

Likely also applies to RT; covering Bugzilla here:
After importing tickets from Bugzilla where an account is identified by an email address and could be reporter/author, CC, assignee, commenter (and voter but ignoring that as we cannot easily convert votes to tokens, see T88 and T432) people need to be able to claim their imported accounts in Phabricator.

A job to update such metadata does not exist yet.

  • <epriestley> chasemp: if you subclass PhabricatorWorker and implement your notify/import logic there, you can queue a task with PhabricatorWorker::scheduleTask(...) and it will process in the daemon queue. And you'll get retries / error recovery, queuing, and visibility. When you schedule the task, you can pass parameters (e.g., user X just verified email Y) and then read them when the job executes (the "task data"). And your subclass can be in your library, so you'd only need a 3-5 line patch to actually schedule the worker.
  • using API vs internally (but Phab does not allow changing a task's author via its API)
  • cronjob? performance? (Bugzilla has ~71000 tickets, ~19700 user accounts, and ~550 active users per month)
  • After having something in place, document how users can claim their contributions on https://www.mediawiki.org/wiki/Phabricator/Help

Details

Reference
fl612

Related Objects

Event Timeline

flimport raised the priority of this task from to High.Sep 12 2014, 1:48 AM
flimport set Reference to fl612.
Aklapper assigned this task to mmodell.Sep 22 2014, 5:18 PM
Aklapper set Security to None.

I think PhabricatorWorker is the way to go. I'll take this one on.

Aklapper updated the task description. (Show Details)Sep 25 2014, 1:48 PM
chasemp claimed this task.Sep 30 2014, 10:17 PM
chasemp added a subscriber: mmodell.
flimport reassigned this task from chasemp to mmodell.Oct 1 2014, 10:37 PM
chasemp claimed this task.Oct 1 2014, 10:40 PM
chasemp closed subtask Restricted Task as Resolved.Oct 14 2014, 4:01 PM
Qgil added a comment.Oct 24 2014, 6:47 PM

Looking at the Bugzilla preview, claiming seems to work well. Can we remove Bugzilla-Migration from this task?

Qgil added a comment.Oct 30 2014, 8:18 AM

We have decided that T918 will be analyzed after the migration. Is there any other blocking task that needs to be addressed before the Bugzilla and RT migrations? If not, I will move this task to the "Phabricator" project.

chasemp closed this task as Resolved.Oct 30 2014, 3:43 PM

Can close this, it's more or less handled in other tasks. The "shake out" portion of this I guess is decided.